Subject: Re: [syzbot] [net?] general protection fault in phy_start_cable_test_tdr

From: syzbot <[email-masked]>
Date: Thu, 03 Oct 2024 19:26:02 -0700

syzbot suspects this issue was fixed by commit:

commit ad78337cb20c1a52781a7b329b1a747d91be3491
Author: Maxime Chevallier <[email-masked]>
Date:   Tue Aug 27 09:23:13 2024 +0000

    net: ethtool: cable-test: Release RTNL when the PHY isn't found

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=17bee307980000
start commit:   f9db28bb09f4 Merge branch 'net-redundant-judgments'
git tree:       net-next
kernel config:  https://syzkaller.appspot.com/x/.config?x=df2f0ed7e30a639d
dashboard link: https://syzkaller.appspot.com/bug?extid=5cf270e2069645b6bd2c
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10542a33980000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=178c6225980000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: ethtool: cable-test: Release RTNL when the PHY isn't found

For information about bisection process see: https://goo.gl/tpsmEJ#bisection